Amazon Linux AMI : python34 / python27,python26 (ALAS-2016-741) (httpoxy)

medium Nessus Plugin ID 93253

Synopsis

The remote Amazon Linux AMI host is missing a security update.

Description

It was discovered that the Python CGIHandler class did not properly protect against the HTTP_PROXY variable name clash in a CGI context. A remote attacker could possibly use this flaw to redirect HTTP requests performed by a Python CGI script to an attacker-controlled proxy via a malicious HTTP request.

Solution

Run 'yum update python34' to update your system.

Run 'yum update python27' to update your system.

Run 'yum update python26' to update your system.

See Also

https://alas.aws.amazon.com/ALAS-2016-741.html

Plugin Details

Severity: Medium

ID: 93253

File Name: ala_ALAS-2016-741.nasl

Version: 2.4

Type: local

Agent: unix

Published: 9/2/2016

Updated: 12/16/2019

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.8

CVSS v2

Risk Factor: Medium

Base Score: 5.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:N

CVSS v3

Risk Factor: Medium

Base Score: 6.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:python26, p-cpe:/a:amazon:linux:python26-debuginfo, p-cpe:/a:amazon:linux:python26-devel, p-cpe:/a:amazon:linux:python26-libs, p-cpe:/a:amazon:linux:python26-test, p-cpe:/a:amazon:linux:python26-tools, p-cpe:/a:amazon:linux:python27, p-cpe:/a:amazon:linux:python27-debuginfo, p-cpe:/a:amazon:linux:python27-devel, p-cpe:/a:amazon:linux:python27-libs, p-cpe:/a:amazon:linux:python27-test, p-cpe:/a:amazon:linux:python27-tools, p-cpe:/a:amazon:linux:python34, p-cpe:/a:amazon:linux:python34-debuginfo, p-cpe:/a:amazon:linux:python34-devel, p-cpe:/a:amazon:linux:python34-libs, p-cpe:/a:amazon:linux:python34-test, p-cpe:/a:amazon:linux:python34-tools, cpe:/o:amazon:linux

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 9/1/2016

Vulnerability Publication Date: 11/27/2019

Reference Information

CVE: CVE-2016-1000110

ALAS: 2016-741